Bug 527736 - Storage driver can't create storage pool volumes on a FAT32 hard disk - 'cannot set file owner ... Operation not permitted'
Storage driver can't create storage pool volumes on a FAT32 hard disk - 'cann...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
: 517379 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-07 10:37 EDT by Richard Hughes
Modified: 2013-07-11 14:22 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 14:22:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2009-10-07 10:37:11 EDT
Description of problem:
I can't allocate a virtual disk on a FAT32 filesystem. Even touching the file causes libvirt to puke when it comes to pre-allocating.

According to Dan, "just mention its a bug in storage_backend_fs.c"

Version-Release number of selected component (if applicable):
libvirt-0.7.1-8.fc12.i686
libvirt-client-0.7.1-8.fc12.i686
libvirt-python-0.7.1-8.fc12.i686
python-virtinst-0.500.0-4.fc12.noarch
virt-manager-0.8.0-7.fc12.noarch

How reproducible:
Always

Steps to Reproduce:
1. Plug in FAT32 formatted device
2. Applications -> Virtual machine manager, Edit -> Host details -> Storage -> 
3. Add new storage pool on a FAT32 device
4. Try to create new image file
  
Actual results:
The dialog hangs and blocks all other libvirt windows.

Expected results:
File is created, and the SELinux attributes setting is either skipped or handled more gracefully.

Additional info:
Comment 1 Mark McLoughlin 2009-10-09 09:28:45 EDT
The error Richard was seeing is:

RuntimeError: Couldn't create storage volume 'RHEL5.img': 'cannot set file owner '/media/My Passport/Virtual Machines/RHEL5.img': Operation not permitted'
Comment 2 Laine Stump 2009-12-23 11:53:23 EST
This seems related to Bug 547543. The same fix (doing setuid/setgid before creating the file, rather than trying to chown it later) should solve both problems, no?
Comment 3 Bug Zapper 2010-03-15 08:55:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Christian Kujau 2011-04-18 15:00:42 EDT
Still there in F15:

Unable to complete install: 'internal error Process exited while reading console log output: char device redirected to /dev/pts/8
qemu-kvm: -drive file=/mnt/vm/kvm-winxp/disk0.img,if=none,id=drive-ide0-0-0,format=raw: could not open disk image /mnt/vm/kvm-winxp/disk0.img: Permission denied'

And /mnt/vm is a vfat mountpoint, which does not understand ownerships or SELinux labels.
Comment 5 Bug Zapper 2011-06-02 13:38:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Cole Robinson 2011-06-10 13:55:04 EDT
Moving to F15
Comment 7 Fedora Admin XMLRPC Client 2011-09-22 13:54:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-09-22 13:58:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-11-30 15:05:53 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-11-30 15:06:02 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-11-30 15:09:38 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2011-11-30 15:09:46 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Cole Robinson 2012-02-07 17:23:55 EST
*** Bug 517379 has been marked as a duplicate of this bug. ***
Comment 14 Cole Robinson 2012-06-06 20:36:47 EDT
Pretty sure this is still relevant, moving to f17
Comment 15 Fedora End Of Life 2013-07-04 01:24:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Cole Robinson 2013-07-11 14:22:43 EDT
Nowadays on F19 this doesn't error in the same way, but because we can't change the owner to qemu:qemu, the emulator fails to start. Since that's basically our security policy at work, and FAT doesn't allow chown'ing files, this is basically working as expected. If someone wants to make it work, they have to edit qemu.conf and run as root, or use qemu:///session (what boxes does) so that their VMs run as their local user and can access a user owned USB stick mount.

Note You need to log in before you can comment on or make changes to this bug.